My Project: ShadowObject Class Reference

My Project

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
ShadowObject Class Reference

`#include <shadow.h>`

## Public Member Functions

void | FreeShadow ()
void | RemoveShadowfromMesh (Mesh *M)
void | UpdateAnim ()
void | Init ()
void | InitShadow ()
void | UpdateCaster ()

## Static Public Member Functions

static ShadowObject * | Create (Mesh *Parent, char Static=false)
static void | SetShadowColor (int R=0, int G=0, int B=0, int A=0.5)
static void | ShadowInit ()
static void | Update (Camera *Cam)
static void | RenderVolume ()
static void | ShadowRenderWorldZFail ()

## Public Attributes

Mesh * | Parent
int | cnt_tris
vector< ShadowTriangle * > | Tri
Mesh * | ShadowMesh
Surface * | ShadowVolume
Surface * | ShadowCap
char | Render
char | Static
char | VCreated

## Static Public Attributes

static list< ShadowObject * > | shadow_list
static float | VolumeLength =1000
static char | top_caps =true
static int | parallel
static float | light_x
static float | light_y
static float | light_z
static int | midStencilVal
static float | ShadowRed =0
static float | ShadowGreen =0
static float | ShadowBlue =0
static float | ShadowAlpha =.5
static int | RenderedVolumes

## Member Function Documentation

## § Create()

ShadowObject * ShadowObject::Create | ( | Mesh * | Parent,
|  | char | Static = `false`
| ) |  |

static

## § FreeShadow()

void ShadowObject::FreeShadow | ( |  | ) |

## § Init()

void ShadowObject::Init | ( |  | ) |

## § InitShadow()

void ShadowObject::InitShadow | ( |  | ) |

## § RemoveShadowfromMesh()

void ShadowObject::RemoveShadowfromMesh | ( | Mesh * | M | ) |

## § RenderVolume()

void ShadowObject::RenderVolume | ( |  | ) |

static

## § SetShadowColor()

void ShadowObject::SetShadowColor | ( | int | R = `0`,
|  | int | G = `0`,
|  | int | B = `0`,
|  | int | A = `0.5`
| ) |  |

static

## § ShadowInit()

void ShadowObject::ShadowInit | ( |  | ) |

static

## § ShadowRenderWorldZFail()

void ShadowObject::ShadowRenderWorldZFail | ( |  | ) |

static

## § Update()

void ShadowObject::Update | ( | Camera * | Cam | ) |

static

## § UpdateAnim()

void ShadowObject::UpdateAnim | ( |  | ) |

## § UpdateCaster()

void ShadowObject::UpdateCaster | ( |  | ) |

## Member Data Documentation

## § cnt_tris

int ShadowObject::cnt_tris

## § light_x

float ShadowObject::light_x

static

## § light_y

float ShadowObject::light_y

static

## § light_z

float ShadowObject::light_z

static

## § midStencilVal

int ShadowObject::midStencilVal

static

## § parallel

int ShadowObject::parallel

static

## § Parent

Mesh* ShadowObject::Parent

## § Render

char ShadowObject::Render

## § RenderedVolumes

int ShadowObject::RenderedVolumes

static

## § shadow_list

list< ShadowObject * > ShadowObject::shadow_list

static

## § ShadowAlpha

float ShadowObject::ShadowAlpha =.5

static

## § ShadowBlue

float ShadowObject::ShadowBlue =0

static

## § ShadowCap

Surface* ShadowObject::ShadowCap

## § ShadowGreen

float ShadowObject::ShadowGreen =0

static

## § ShadowMesh

Mesh* ShadowObject::ShadowMesh

## § ShadowRed

float ShadowObject::ShadowRed =0

static

## § ShadowVolume

Surface* ShadowObject::ShadowVolume

## § Static

char ShadowObject::Static

## § top_caps

char ShadowObject::top_caps =true

static

## § Tri

vector<ShadowTriangle*> ShadowObject::Tri

## § VCreated

char ShadowObject::VCreated

## § VolumeLength

float ShadowObject::VolumeLength =1000

static

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/shadow.h
- openb3dlib.mod/openb3d/src/shadow.cpp